#{extends 'border.html'/}
<div class="container-fluid">
	<div class="row">
        <div class="col-md-2 hidden-mobile">
		#{include '/pl/filter-manufaktur.html'/}
        </div>

		<div class="col-md-10">
            <!-- Toolbar -->
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'merk.label'}</a>
				<a href="@{importExcel()}" class="btn btn-primary btn-md"><i class="fa fa-upload"></i> &{'impor.label'} &{'merk.label'}</a>
			</div>
            <!-- End Toolbar -->
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body hidden-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-striped" id="tblManufaktur">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_manufaktur.label'}</th>
                                <th>&{'komoditas.label'}</th>
								<th>&{'tanggal_dibuat.label'}</th>
								<th>&{'dibuat_oleh.label'}</th>
								<th>&{'tanggal_diubah.label'}</th>
								<th>&{'diubah_oleh.label'}</th>
								<th>&{'status.label'}</th>
								<th>&{'ubah.label'} &{'status.label'}</th>
								*{<th class="header-left header-no-padding">&{'aksi.label'}</th>}*
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
				<div class="panel-body only-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-striped" id="tblManufakturMobile">
						<thead>
						<tr>
							<th>&{'nomor.label'}</th>
							<th>&{'nama_manufaktur.label'}</th>
							<th>&{'komoditas.label'}</th>
							<th>&{'tanggal_dibuat.label'}</th>
							<th>&{'dibuat_oleh.label'}</th>
							<th>&{'tanggal_diubah.label'}</th>
							<th>&{'diubah_oleh.label'}</th>
							<th>&{'status.label'}</th>
							<th>&{'ubah.label'} &{'status.label'}</th>
							*{<th class="header-left header-no-padding">&{'aksi.label'}</th>}*
						</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.ManufakturCtr.editSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'merk.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group required">
                        <label class="control-label">&{'nama_komoditas.label'}</label>
                        <select class="form-control select2" id="id_komoditas" style="width: 100%" name="id_komoditas" required>
                            <option value="">&{'pilih.label'}</option>
							#{list komoditasList, as:'k'}
                                <option value="${k.id}">${k.nama_komoditas}</option>
							#{/list}
                        </select>
					</div>
					<div class="form-group required">
						<label class="control-label">&{'nama_manufaktur.label'}</label> <input
							id="nama_input" name="nama_manufaktur" class="form-control" required/>
					</div>
                    <input id="id_komoditas_manufaktur" name="id_komoditas_manufaktur" type="hidden" />
					<input id="id_manufaktur" name="id_manufaktur" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>

	<div class="btn-footer">
		<div class="row">
			<div class="col-xs-12">
				<a href="#" onclick="openFilterManufaktur()">Filter</a>
			</div>
		</div>
	</div>
	<div class="faq" id="mobile-sidebar">
		<div class="mobile-navigation-bar">
			<a href="#" onclick="closeSidebar()">
				<i class="fa fa-arrow-circle-left"></i> &{'merk.label'}
			</a>
		</div>
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12 col-sm-12">
					#{include '/pl/filter-manufaktur.html'/}
				</div>
			</div>
		</div>
	</div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblManufaktur").dataTable({
            "searching": false,
			ajax : {
				url : "@{DataTableCtr.cariManufaktur()}",
                data: function (d) {
                    d["keyword"] = $(".hidden-mobile #keyword").val();
                    d["komoditas"] = $(".hidden-mobile #komoditas").val();
                    d["aktif"] = $(".hidden-mobile #aktif").val();
                },
				cache : true
			},
			order : [ 0, "desc" ],
			columns :
			[
                {
                    "searchable" : false, "className": "header-center",
                    render: function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
				{"searchable" : false, orderable : false},
				{"searchable" : false, orderable : false},
				{"searchable" : false, orderable : false, "className": "header-center"},
				{"searchable" : false, orderable : false},
				{"searchable" : false, orderable : false, "className": "header-center"},
				{"searchable" : false, orderable : false},
				{"searchable" : false, orderable : false, "className": "header-center"},
				{"searchable" : false, orderable : false, "className": "header-center"}
			]
		});

		$("#tblManufakturMobile").dataTable({
			"searching": false,
			ajax : {
				url : "@{DataTableCtr.cariManufaktur()}",
				data: function (d) {
					d["keyword"] = $("#mobile-sidebar #keyword").val();
					d["komoditas"] = $("#mobile-sidebar #komoditas").val();
					d["aktif"] = $("#mobile-sidebar #aktif").val();
				},
				cache : true
			},
			order : [ 0, "desc" ],
			columns :
					[
						{
							"searchable" : false, "className": "header-center",
							render: function(data, type, row, meta) {
								return meta.row + meta.settings._iDisplayStart + 1 + ".";
							}
						},
						{"searchable" : false, orderable : false},
						{"searchable" : false, orderable : false},
						{"searchable" : false, orderable : false, "className": "header-center"},
						{"searchable" : false, orderable : false},
						{"searchable" : false, orderable : false, "className": "header-center"},
						{"searchable" : false, orderable : false},
						{"searchable" : false, orderable : false, "className": "header-center"},
						{"searchable" : false, orderable : false, "className": "header-center"}
					]
		});
	});



    $(".hidden-mobile #submitBtn").on("click", function(){
        $(".hidden-mobile #tblManufaktur").DataTable().order(JSON.parse($('.hidden-mobile #order').val())).draw();
    });
	$("#mobile-sidebar #submitBtn").on("click", function(){
		$("#tblManufakturMobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
		closeSidebar();
	});

	$('.hidden-mobile #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('.hidden-mobile #submitBtn').click();
            return false;
        }
        return;
    });

	$('#mobile-sidebar #keyword').keypress(function(event){
		var keycode = event.keyCode || event.which;
		if(keycode == '13') {
			$('#mobile-sidebar #submitBtn').click();
			closeSidebar();
			return false;
		}
		return;
	});

	$("body").on("click", ".nama_manufaktur", function() {
		var nama_manufaktur = $(this).html();
		var komoditas_id = $(this).attr("kid");
        var komoditas_manufaktur_id = $(this).attr("kmid");
        var manufaktur_id = $(this).attr("mid");
        $("#id_komoditas_manufaktur").val(komoditas_manufaktur_id);
		$("#id_manufaktur").val(manufaktur_id);
        $("#id_komoditas").val(komoditas_id);
		$("#nama_input").val(nama_manufaktur);
		$("#editModal").modal();
	});
</script>
#{/set}
